kafka-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Colin McCabe" <cmcc...@apache.org>
Subject Re: Running system tests on mac
Date Tue, 30 Jun 2020 17:32:20 GMT
Ducktape runs on Python 2.  You can't use it with Python 3, as you are trying to do here.

If anyone's interested in porting it to Python 3 it would be a good change.

Otherwise, using docker as suggested here seems to be the best way to go.

best,
Colin

On Mon, Jun 29, 2020, at 02:14, Gokul Ramanan Subramanian wrote:
> Hi.
> 
> Has anyone had luck running Kafka system tests on a Mac. I have a MacOS
> Mojave 10.14.6. I got Python 3.6.9 using pyenv. However, the command
> *ducktape tests/kafkatest/tests* yields the following error, making it look
> like some Python incompatibility issue.
> 
> $ ducktape tests/kafkatest/tests
> Traceback (most recent call last):
>   File "/Users/gokusubr/.pyenv/versions/3.6.9/bin/ducktape", line 11, in
> <module>
>     load_entry_point('ducktape', 'console_scripts', 'ducktape')()
>   File
> "/Users/gokusubr/.pyenv/versions/3.6.9/lib/python3.6/site-packages/pkg_resources/__init__.py",
> line 487, in load_entry_point
>     return get_distribution(dist).load_entry_point(group, name)
>   File
> "/Users/gokusubr/.pyenv/versions/3.6.9/lib/python3.6/site-packages/pkg_resources/__init__.py",
> line 2728, in load_entry_point
>     return ep.load()
>   File
> "/Users/gokusubr/.pyenv/versions/3.6.9/lib/python3.6/site-packages/pkg_resources/__init__.py",
> line 2346, in load
>     return self.resolve()
>   File
> "/Users/gokusubr/.pyenv/versions/3.6.9/lib/python3.6/site-packages/pkg_resources/__init__.py",
> line 2352, in resolve
>     module = __import__(self.module_name, fromlist=['__name__'], 
> level=0)
>   File
> "/Users/gokusubr/.pyenv/versions/3.6.9/lib/python3.6/site-packages/ducktape-0.7.6-py3.6.egg/ducktape/command_line/main.py",
> line 127
>     print "parameters are not valid json: " + str(e.message)
>                                           ^
> SyntaxError: invalid syntax
> 
> I followed the instructions in tests/README.md to setup a cluster of 9
> worker machines. That worked well. When I ran *python setup.py develop* to
> install the necessary dependencies (including ducktape), I got similar
> errors to above, but the overall command completed successfully.
> 
> Any help appreciated.
> 
> Thanks.
>

Mime
View raw message